export class PitayaConfiguration
{
	private _devBodyClass: string = "pitaya-app--under-development";

	get devBodyClass(): string
	{
		return this._devBodyClass;
	}

	private _development: boolean = false;

	get development(): boolean
	{
		return this._development;
	}

	public enableDevelopment( bodyMarkerClass?: string )
	{
		this._development  = true;
		this._devBodyClass = bodyMarkerClass || this._devBodyClass;

		document.body.classList.add( this._devBodyClass );
	}
}